[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# CallTerminateProcs

Call the exit chain procedures.

## Declaration

Source position: sysutilh.inc line 239

`function CallTerminateProcs: Boolean;`

## Description

CallTerminateProcs is run on program exit. It executes all terminate procedures that were added to the exit chain with AddTerminateProc, and does this in reverse order.

## Errors

If one of the exit procedure raises an exception, it is not caught, and the remaining exit procedures will not be executed.

## See also

TTerminateProc |  | Terminate procedure procedural variable.
AddTerminateProc |  | Add a procedure to the exit chain.

Documentation generated on: Feb 26 2014